
/***********************************************************************************************************************
* @file  temp_sensors.h
*
* @brief temperature and adc sensors header files
*
* (C) Copyright 2021 SmartAxiom,Inc All Rights Reserved
*
*  SMARTAXIOM CONFIDENTIAL
*  The source code contained or described herein and all documents related to
*  the source code ("Material") are owned by SmartAxiom,Inc or its
*  suppliers or licensor's. Title to the Material remains with SmartAxiom, Inc
*  or its suppliers and licensor's. The Material contain trade secrets and proprietary
*  and confidential information of SmartAxiom or its suppliers and licensor's.
*  The Material is protected by worldwide copyright and trade secret laws and
*  treaty provisions. No part of the Material may be used, copied, reproduced, modified,
*  published, uploaded, posted,transmitted, distributed, or disclosed in any way without
*  SmartAxiom prior express written permission.
*
*  No license under any patent, copyright, trade secret or other intellectual
*  property right is granted to or conferred upon you by disclosure or delivery
*  of the Materials, either expressly, by implication, inducement, estoppel or
*  otherwise. Any license under such intellectual property rights must be
*  express and approved by SmartAxiom in writing.
*
*/

#ifndef TEMP_SENSOR_H_
#define TEMP_SENSOR_H_

#include "beachhead_config.h"
#include "hal_data.h"


/**
 * @brief Initialize ADC controller
 * @return FSP_SUCCESS or FSP ERROR CODE
 */
fsp_err_t temp_sensor_init(void);


/**
 * @brief read ADC count and convert into temperature value
 * @param data
 * @return FSP_SUCCESS or FSP ERROR CODE
 */
fsp_err_t temp_sensor_get(uint16_t * data);

/**
 * @brief Read chip die temperature through ADC
 * @param pADCTemp
 * @return SUCCESS or FAILED
 */
int read_ADC_Temp(uint8_t *pADCTemp);

#endif /* TEMP_SENSOR_H_ */
