
/***********************************************************************************************************************
* @file  beachhead_config.h
*
* @brief common include file
*
* (C) Copyright 2021 SmartAxiom,Inc All Rights Reserved
*
*  SMARTAXIOM CONFIDENTIAL
*  The source code contained or described herein and all documents related to
*  the source code ("Material") are owned by SmartAxiom,Inc or its
*  suppliers or licensor's. Title to the Material remains with SmartAxiom, Inc
*  or its suppliers and licensor's. The Material contain trade secrets and proprietary
*  and confidential information of SmartAxiom or its suppliers and licensor's.
*  The Material is protected by worldwide copyright and trade secret laws and
*  treaty provisions. No part of the Material may be used, copied, reproduced, modified,
*  published, uploaded, posted,transmitted, distributed, or disclosed in any way without
*  SmartAxiom prior express written permission.
*
*  No license under any patent, copyright, trade secret or other intellectual
*  property right is granted to or conferred upon you by disclosure or delivery
*  of the Materials, either expressly, by implication, inducement, estoppel or
*  otherwise. Any license under such intellectual property rights must be
*  express and approved by SmartAxiom in writing.
*
********************************************************************************************************/

#ifndef BEACHHEAD_CONFIG_BEACHHEAD_CONFIG_H_
#define BEACHHEAD_CONFIG_BEACHHEAD_CONFIG_H_


#include <stdint.h>

#ifdef FREERTOS
#include "FreeRTOS_IP.h"
#include "FreeRTOS_Sockets.h"
#include "FreeRTOS_IP_Private.h"
#include "FreeRTOS_ARP.h"
#include "FreeRTOS_UDP_IP.h"
#include "FreeRTOS_TCP_IP.h"
#include "FreeRTOS_DHCP.h"
#include "NetworkInterface.h"
#include "NetworkBufferManagement.h"
#include "FreeRTOS_DNS.h"
#include "FreeRTOS_Stream_Buffer.h"
#include "common_utils.h"

#define wmprintf(fn_, ...)  SEGGER_RTT_printf (SEGGER_INDEX,(fn_), ##__VA_ARGS__)

#else

#endif

#include "beachhead.h"
#include "networking/bh_socket.h"
#include "rtc/rtc.h"
#include "nvram/nvm_data_flash.h"
#include "adc/temp_sensor.h"
#include "beachhead-api/beachhead-api.h"

/**
 *  sensor payload structure for application
 */
typedef struct sync_envelope_sensor {
    uint8_t  sensor_name[SYNC_ENVELOPE_SENSOR_SZ];     /* sensor Name */
    uint8_t  sensor_type;                              /* sensor data type */
    uint8_t  sensor_data_length;                        /* sensor data length available in data */
    uint8_t  *sensor_data;                             /* sensor data */
    uint8_t  sensor_event;                             /* sensor event */
} __attribute__((packed)) sync_envelope_sensor_t;


#endif /* BEACHHEAD_CONFIG_H_ */
