/*
 * beachhead-app.h
 *
 *  Created on: Jan 28, 2021
 *      Author: abiya_000
 */

#ifndef BEACHHEAD_APP_H_
#define BEACHHEAD_APP_H_

#include "beachhead_config.h"

#define ROUNT_TRIP_MS 25
#define HEART_BEAT "HB"

/**
 * @brief Device provision service
 * @param bh_handler
 * @param bh_socket
 * @param state
 * @return
 */
int beachhead_common_init_service(void *bh_handler,bh_socket_t *bh_socket,uint8_t *state);

/**
 *
 * @param bh_handler
 * @param bh_socket
 * @param beachhead_state
 * @return
 */
int beachhead_device_sync(void *bh_handler,bh_socket_t *bh_socket,uint8_t *beachhead_state);

/**
 *
 * @param bh_handler
 * @param payload_t
 * @param pOutBuff
 * @param payload_len
 * @param bh_socket
 * @param beachhead_state
 * @return
 */
int beachhead_send_data(void *bh_handler, uint8_t *payload_t,uint16_t payload_len,
		uint8_t *pOutBuff, bh_socket_t *bh_socket, uint8_t *beachhead_state);

/**
 * @param bh_handler
 * @param bh_socket
 * @param beachhead_state
 * @param pOutBuff
 * @return
 */
int beachhead_received_data(void *bh_handler,bh_socket_t *bh_socket, uint8_t *beachhead_state,
		                     uint8_t *pOutBuff);

/**
 *
 * @param bh_handler
 * @param bh_socket
 * @param beachhead_state
 * @return
 */

int beachhead_heart_beat(void *bh_handler,  bh_socket_t *bh_socket,uint8_t *beachhead_state);

/**
 *
 * @param bh_socket
 */
void beachhead_close( bh_socket_t *bh_socket);

/**
 *
 * @param unique_id
 */
void GetUniqueId(uint8_t *unique_id);

/**
 *
 * @param bh_handler
 * @param pSensorBuf
 * @param beachhead_state
 * @return
 */
int beachhead_process_sensor_event(void *bh_handler,const uint8_t *pSensorBuf,
		                           uint8_t beachhead_state);

/**
 * @brief
 * @param bh_handler
 * @param bh_socket
 * @param beachhead_state
 * @return
 */
int beachhead_activate_device(void *bh_handler, bh_socket_t *bh_socket,
		                      uint8_t *beachhead_state);


#endif /* BEACHHEAD_APP_H_ */
