/***********************************************************************************************************************
* @file   beachhead-provision.h
*
* @brief  beachhead device provision header files
*
* (C) Copyright 2021 SmartAxiom,Inc All Rights Reserved
*
*  SMARTAXIOM CONFIDENTIAL
*  The source code contained or described herein and all documents related to
*  the source code ("Material") are owned by SmartAxiom,Inc or its
*  suppliers or licensor's. Title to the Material remains with SmartAxiom, Inc
*  or its suppliers and licensor's. The Material contain trade secrets and proprietary
*  and confidential information of SmartAxiom or its suppliers and licensor's.
*  The Material is protected by worldwide copyright and trade secret laws and
*  treaty provisions. No part of the Material may be used, copied, reproduced, modified,
*  published, uploaded, posted,transmitted, distributed, or disclosed in any way without
*  SmartAxiom prior express written permission.
*
*  No license under any patent, copyright, trade secret or other intellectual
*  property right is granted to or conferred upon you by disclosure or delivery
*  of the Materials, either expressly, by implication, inducement, estoppel or
*  otherwise. Any license under such intellectual property rights must be
*  express and approved by SmartAxiom in writing.
*
*/

#ifndef BEACHHEAD_PROVISION_BEACHHEAD_PROVISION_H_
#define BEACHHEAD_PROVISION_BEACHHEAD_PROVISION_H_

#include "beachhead_config.h"
#include "beachhead-app.h"

/**
 * @brief
 * @param bh_handler
 * @param bh_socket
 * @param beachhead_state
 * @return
 */
int beachhead_discovery(void *bh_handler, bh_socket_t *bh_socket,
		                 uint8_t *beachhead_state);

/**
 * @brief
 * @param bh_handler
 * @param bh_socket
 * @param beachhead_state
 * @return
 */
int beachhead_create_session(void *bh_handler, bh_socket_t *bh_socket,
		                     uint8_t *beachhead_state);

/**
 * @brief
 * @param bh_handler
 * @param bh_socket
 * @param beachhead_state
 * @return
 */
int beachhead_verify_session(void *bh_handler, bh_socket_t *bh_socket,
		                     uint8_t *beachhead_state);

/**
 * @brief
 * @param bh_handler
 * @param bh_socket
 * @param beachhead_state
 * @return
 */
int beachhead_authenticate_session(void *bh_handler, bh_socket_t *bh_socket,
		                           uint8_t *beachhead_state);

/**
 * @brief
 * @param bh_handler
 * @param bh_socket
 * @param beachhead_state
 * @return
 */

int beachhead_register_device(void *bh_handler, bh_socket_t *bh_socket,
		                      uint8_t *beachhead_state);

#ifdef SELF_ACTIVATION
int beachhead_self_activate_device(void *bh_handler, bh_socket_t *bh_socket,uint8_t *beachhead_state);
#endif


#endif /* BEACHHEAD_PROVISION_BEACHHEAD_PROVISION_H_ */
