/***********************************************************************************************************************
* @file   common_utils.c
*
* @brief  source file contains macros, data structures and functions used
*         common to the beachhead sample code
*
* (C) Copyright 2021 SmartAxiom,Inc All Rights Reserved
*
*  SMARTAXIOM CONFIDENTIAL
*  The source code contained or described herein and all documents related to
*  the source code ("Material") are owned by SmartAxiom,Inc or its
*  suppliers or licensor's. Title to the Material remains with SmartAxiom, Inc
*  or its suppliers and licensor's. The Material contain trade secrets and proprietary
*  and confidential information of SmartAxiom or its suppliers and licensor's.
*  The Material is protected by worldwide copyright and trade secret laws and
*  treaty provisions. No part of the Material may be used, copied, reproduced, modified,
*  published, uploaded, posted,transmitted, distributed, or disclosed in any way without
*  SmartAxiom prior express written permission.
*
*  No license under any patent, copyright, trade secret or other intellectual
*  property right is granted to or conferred upon you by disclosure or delivery
*  of the Materials, either expressly, by implication, inducement, estoppel or
*  otherwise. Any license under such intellectual property rights must be
*  express and approved by SmartAxiom in writing.
*
*******************************************************************************************************************/


#include "common_utils.h"

void AsciitoHex(unsigned char *hex_buf, unsigned char *ascii_buf, int len)
{
   unsigned char x, y;
   uint16_t z, t = 0;

   if (ascii_buf) {
      for (z = 0; z < len; z++) {
    	  x = ascii_buf[z];
    	  x >>= 4;
    	  y = 0;
    	  if (x < 10)
			  y = (unsigned char) (48 + x);
		  else
			  y = (unsigned char) (55 + x);

		  hex_buf[t++] = y;
		  x = ascii_buf[z];
		  x &= 0x0F;
		  y = 0;

		  if (x < 10)
		     y = (unsigned char) (48 + x);
		  else
		     y = (unsigned char) (55 + x);
		  hex_buf[t++] = y;
		}
	}

}

void StringtoHex(uint8_t *string, uint8_t *output) {

	// Convert the hex back to a string.
	int len = (int) strlen((char*) string);
	int val[1];

	for (int i = 0, j = 0; j < len; ++i, j += 2) {
		sscanf((char*) string + j, "%2x", val);
		output[i] = (uint8_t) val[0];
		//output[i + 1] = '\0';
	}

}
