/***********************************************************************************************************************
* @file  leds.h
*
* @brief Controls various leds
*
* (C) Copyright 2021 SmartAxiom,Inc All Rights Reserved
*
*  SMARTAXIOM CONFIDENTIAL
*  The source code contained or described herein and all documents related to
*  the source code ("Material") are owned by SmartAxiom,Inc or its
*  suppliers or licensor's. Title to the Material remains with SmartAxiom, Inc
*  or its suppliers and licensor's. The Material contain trade secrets and proprietary
*  and confidential information of SmartAxiom or its suppliers and licensor's.
*  The Material is protected by worldwide copyright and trade secret laws and
*  treaty provisions. No part of the Material may be used, copied, reproduced, modified,
*  published, uploaded, posted,transmitted, distributed, or disclosed in any way without
*  SmartAxiom prior express written permission.
*
*  No license under any patent, copyright, trade secret or other intellectual
*  property right is granted to or conferred upon you by disclosure or delivery
*  of the Materials, either expressly, by implication, inducement, estoppel or
*  otherwise. Any license under such intellectual property rights must be
*  express and approved by SmartAxiom in writing.
*
*/

#ifndef LEDS_H_
#define LEDS_H_

#include "hal_data.h"
#include "../../../ra/board/ra6m3_ek/board_leds.h"

typedef enum led_ctrl
{
	LED_ON = 1,
    LED_OFF = 0,
} led_ctrl_t;

#define SW_LED_ON  "LED_ON"
#define SW_LED_OFF "LED_OFF"


extern bsp_leds_t g_bsp_leds;

extern void turn_led_on(bsp_led_t ltype);
extern void turn_led_off(bsp_led_t ltype);
extern void led_toggle(bsp_led_t ltype);
extern void led_sw_status(uint8_t *pSWEvent,bsp_led_t ltype);
extern bsp_led_t get_toggle_channel();

#endif /* LEDS_H_ */
