/***********************************************************************************************************************
* @file  nvm_dat a_flash.h
*
* @brief flash read and write function
*
* (C) Copyright 2021 SmartAxiom,Inc All Rights Reserved
*
*  SMARTAXIOM CONFIDENTIAL
*  The source code contained or described herein and all documents related to
*  the source code ("Material") are owned by SmartAxiom,Inc or its
*  suppliers or licensor's. Title to the Material remains with SmartAxiom, Inc
*  or its suppliers and licensor's. The Material contain trade secrets and proprietary
*  and confidential information of SmartAxiom or its suppliers and licensor's.
*  The Material is protected by worldwide copyright and trade secret laws and
*  treaty provisions. No part of the Material may be used, copied, reproduced, modified,
*  published, uploaded, posted,transmitted, distributed, or disclosed in any way without
*  SmartAxiom prior express written permission.
*
*  No license under any patent, copyright, trade secret or other intellectual
*  property right is granted to or conferred upon you by disclosure or delivery
*  of the Materials, either expressly, by implication, inducement, estoppel or
*  otherwise. Any license under such intellectual property rights must be
*  express and approved by SmartAxiom in writing.
*
*/

#ifndef NVM_DATA_FLASH_H_
#define NVM_DATA_FLASH_H_

#include <r_flash_hp.h>
#include <hal_data.h>

#define NVM_DATA_FLASH_START 0x40100000
#define NVM_DATA_FLASH_BLOCK_SIZE 64
#define NVM_DATA_FLASH_NUM_OF_BLOCKS 1024
#define NVM_DATA_FLASH_BYTES (NVM_DATA_FLASH_NUM_OF_BLOCKS * NVM_DATA_FLASH_BLOCK_SIZE)
#define NVM_DATA_FLASH_END NVM_DATA_FLASH_START + NVM_DATA_FLASH_BYTES

int nvm_data_flash_init(void);
int nvm_data_flash_write(uint8_t *pvSrc, uint32_t pvOffset, uint32_t ulByte);
int nvm_data_flash_read(uint8_t *pvDest, uint32_t pvOffset, uint32_t ulByte);
void nvm_data_flash_test(uint32_t blk_num);

#endif /* NVM_DATA_FLASH_H_ */
