/***********************************************************************************************************************
 * File Name    : pb_sw1_thread_entry.c
 * Description  : This file contains the Pushbutton SW1 handler code

 * (C) Copyright 2021 SmartAxiom,Inc All Rights Reserved
 *
 *  SMARTAXIOM CONFIDENTIAL
 *  The source code contained or described herein and all documents related to
 *  the source code ("Material") are owned by SmartAxiom,Inc or its
 *  suppliers or licensor's. Title to the Material remains with SmartAxiom, Inc
 *  or its suppliers and licensor's. The Material contain trade secrets and proprietary
 *  and confidential information of SmartAxiom or its suppliers and licensor's.
 *  The Material is protected by worldwide copyright and trade secret laws and
 *  treaty provisions. No part of the Material may be used, copied, reproduced, modified,
 *  published, uploaded, posted,transmitted, distributed, or disclosed in any way without
 *  SmartAxiom prior express written permission.
 *
 *  No license under any patent, copyright, trade secret or other intellectual
 *  property right is granted to or conferred upon you by disclosure or delivery
 *  of the Materials, either expressly, by implication, inducement, estoppel or
 *  otherwise. Any license under such intellectual property rights must be
 *  express and approved by SmartAxiom in writing.
 *
 * *******************************************************************************************/

#include "pb_sw1_thread.h"
#include "common_utils.h"
#include "beachhead_config.h"

/* PB SW1 Handler entry function */
/* pvParameters contains TaskHandle_t */
void pb_sw1_thread_entry(void *pvParameters) {
	FSP_PARAMETER_NOT_USED(pvParameters);
	uint8_t  bh_state;
	while (1) {
		/* Block waiting for the SW1 to be pressed */
		if ( xSemaphoreTake(g_pb_sw1_semb, portMAX_DELAY) == pdTRUE ) {
		  bh_state = SW1_EVENT;
		  xQueueSend(g_publisher_queue, &bh_state, 0);

		}
	}
}
