/***********************************************************************************************************************
 * File Name    : subscribe_thread_entry.c
 * Description  : This file contains the subscriber code for the beachhead-SDK

 * (C) Copyright 2021 SmartAxiom,Inc All Rights Reserved
 *
 *  SMARTAXIOM CONFIDENTIAL
 *  The source code contained or described herein and all documents related to
 *  the source code ("Material") are owned by SmartAxiom,Inc or its
 *  suppliers or licensor's. Title to the Material remains with SmartAxiom, Inc
 *  or its suppliers and licensor's. The Material contain trade secrets and proprietary
 *  and confidential information of SmartAxiom or its suppliers and licensor's.
 *  The Material is protected by worldwide copyright and trade secret laws and
 *  treaty provisions. No part of the Material may be used, copied, reproduced, modified,
 *  published, uploaded, posted,transmitted, distributed, or disclosed in any way without
 *  SmartAxiom prior express written permission.
 *
 *  No license under any patent, copyright, trade secret or other intellectual
 *  property right is granted to or conferred upon you by disclosure or delivery
 *  of the Materials, either expressly, by implication, inducement, estoppel or
 *  otherwise. Any license under such intellectual property rights must be
 *  express and approved by SmartAxiom in writing.
 *
 * *******************************************************************************************/

#include <subscribe_thread.h>
#include <timers.h>
#include "beachhead_config.h"
#include "beachhead-app.h"
#include "usr_app.h"

extern void *bh_context;
extern bh_socket_t bh_socket;
bool g_beachhead_hb = false;

/* Publisher Thread entry function */
/* pvParameters contains TaskHandle_t */
void subscribe_thread_entry(void *pvParameters)
{
	FSP_PARAMETER_NOT_USED(pvParameters);
	int ret = SYNC_ERR_FAIL;
	uint8_t pSyncBlk[SYNC_ENVELOPE_SZ] = { 0 };
	uint8_t bh_state;

	/* Subscriber listen incoming request */
	while (true) {

		/*suspending subscriber task to acquired incoming event*/
		xQueueReceive(g_subscriber_queue, &bh_state, portMAX_DELAY);

		/*received sync blocks*/
		ret = beachhead_received_data(bh_context, &bh_socket, &bh_state, pSyncBlk);

		if (ret == SYNC_OK) {
			APP_PRINT("\r\nSubscribe Thread : Receive block  state : %d...", bh_state);
		} else {
			if (bh_state != DEVICE_HEARTBEAT ) {
				APP_ERR_PRINT("\r\nUnable to received block from the responder....");
			}
		}
	}
}

